Package Details: xcursor-human 0.6-4

Git Clone URL: https://aur.archlinux.org/xcursor-human.git (read-only)
Package Base: xcursor-human
Description: Ubuntu's default cursor theme
Upstream URL: http://launchpad.net/human-cursors-theme/
Licenses: CCPL:by-sa
Submitter: None
Maintainer: yjerem
Last Packager: yjerem
Votes: 138
Popularity: 0.311695
First Submitted: 2007-03-12 09:35
Last Updated: 2015-08-08 18:55

Dependencies (1)

Required by (0)

Sources (2)

Latest Comments

bartus commented on 2016-05-07 15:07

because of index.theme this package conflicts with community/human-icon-theme.

Anonymous comment on 2014-06-30 06:23

Arch should be changed to ('any') as this package does not ship ELF binaries.

yepyang commented on 2013-12-25 17:36

Very nice,Thanks!

axper commented on 2013-12-09 18:54

Conflicts with human-icon-theme from [community].

Anonymous comment on 2013-10-21 20:49

I'm happy to say that xcursor-dmz is now up to date and working :)
Follow instructions in the comment below to work around the bug this cursor theme causes in Gnome 3.10.

Anonymous comment on 2013-10-20 18:43

The bug in Gnome 3.10 is caused by https://bugzilla.gnome.org/show_bug.cgi?id=709656
It can be fixed by installing https://aur.archlinux.org/packages/xcursor-dmz/ (there's a working PKGBUILD in the comments) and adding adding DMZ-White as parent to Human cursor theme.
The file at /usr/share/icons/Human/index.theme should look like this (note the "Inherits=" line):
[Icon Theme]
Name=Human
Comment=The Human Cursor Theme
Inherits=DMZ-White

Since Ubuntu will probably not update the Human theme, maybe a patch should be added to this (xcursor-human) AUR package and xcursor-dmz made a dependency? (given the xcursor-dmz AUR package is fixed)

lordchaos commented on 2013-10-08 15:02

I've been using this cursor theme for quite a while, but since I upgraded gnome to 3.10 gnome-shell crashes when I use this cursor theme. It happens when I try to re-arrange applications in the dock or move a window to another workspace:

1 okt 08 16:49:21 gnome-session[502]: 14:49:21.494 I [social_reporter.cpp:190 ] SocialReporter: A track was played
2 okt 08 16:49:26 gnome-session[502]: content-type missing in HTTP POST, defaulting to application/x-www-form-urlencoded. Use QNetworkRequest::setHeader() to fix this problem.
3 okt 08 16:49:44 gnome-session[502]: content-type missing in HTTP POST, defaulting to application/x-www-form-urlencoded. Use QNetworkRequest::setHeader() to fix this problem.
4 okt 08 16:49:56 gnome-session[502]: Window manager warning: Log level 6: The program 'gnome-shell' received an X Window System error.
5 okt 08 16:49:56 gnome-session[502]: This probably reflects a bug in the program.
6 okt 08 16:49:56 gnome-session[502]: The error was 'BadCursor (invalid Cursor parameter)'.
7 okt 08 16:49:56 gnome-session[502]: (Details: serial 648064 error_code 6 request_code 95 minor_code 0)
8 okt 08 16:49:56 gnome-session[502]: (Note to programmers: normally, X errors are reported asynchronously;
9 okt 08 16:49:56 gnome-session[502]: that is, you will receive the error a while after causing it.
10 okt 08 16:49:56 gnome-session[502]: To debug your program, run it with the GDK_SYNCHRONIZE environment
11 okt 08 16:49:56 gnome-session[502]: variable to change this behavior. You can then get a meaningful
12 okt 08 16:49:56 gnome-session[502]: backtrace from your debugger if you break on the gdk_x_error() function.)
13 okt 08 16:49:56 kernel: traps: gnome-shell[585] trap int3 ip:7f8b333cc239 sp:7fff6324e570 error:0
14 okt 08 16:49:56 polkitd[285]: Unregistered Authentication Agent for unix-session:1 (system bus name :1.48, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.utf8) (disconnect
15 okt 08 16:49:56 gnome-session[502]: gnome-session[502]: WARNING: Application 'gnome-shell.desktop' killed by signal 5

oliparcol commented on 2011-05-02 17:56

thanks

oliparcol commented on 2011-04-29 12:05

can you add a index.theme file in /usr/share/icons/default ?

jonandermb commented on 2010-12-13 10:39

Please, add python to the build dependencies.
Thanks!

oliparcol commented on 2010-11-29 02:14

need to modify python to python2 in PKGBUILD